import { DimensionsMap } from "aws-cdk-lib/aws-cloudwatch";
import { BaseMetricFactory, BaseMetricFactoryProps, MetricFactory } from "../../common";
export interface RedshiftClusterMetricFactoryProps extends BaseMetricFactoryProps {
    readonly clusterIdentifier: string;
}
export declare class RedshiftClusterMetricFactory extends BaseMetricFactory<RedshiftClusterMetricFactoryProps> {
    protected readonly dimensionsMap: DimensionsMap;
    constructor(metricFactory: MetricFactory, props: RedshiftClusterMetricFactoryProps);
    metricTotalConnectionCount(): import("../../common").MetricWithAlarmSupport;
    metricAverageDiskSpaceUsageInPercent(): import("../../common").MetricWithAlarmSupport;
    metricAverageCpuUsageInPercent(): import("../../common").MetricWithAlarmSupport;
    metricShortQueryDurationP90InMillis(): import("../../common").MetricWithAlarmSupport;
    metricMediumQueryDurationP90InMillis(): import("../../common").MetricWithAlarmSupport;
    metricLongQueryDurationP90InMillis(): import("../../common").MetricWithAlarmSupport;
    metricMaintenanceModeEnabled(): import("../../common").MetricWithAlarmSupport;
    metricReadLatencyP90InMillis(): import("../../common").MetricWithAlarmSupport;
    metricWriteLatencyP90InMillis(): import("../../common").MetricWithAlarmSupport;
    private metricQueryDuration;
    private metric;
}
